Web lists-archives.com

Re: [Samba] Replication Error Between Differing Samba Versions During Upgrade






Am 04.10.2017 um 01:05 schrieb Achim Gottinger via samba:


Am 04.10.2017 um 00:31 schrieb Mike Ray via samba:
Hello all-

At the recommendation of the Catalyst team, instead of trying to get 4.0.6 replicating with 4.0.7, they suggested we try a later version (>=4.5) as those versions are much more recent and may have handled issues older versions just could not. Unfortunately that too did not work. They then suggested that an in-place upgrade, as if there was a bug in our 4.0.6 code that was causing problems, there was not much else that could be done. The server survived an upgrade from Ubuntu 12.04 (Samba 4.0.6) to Ubuntu 14.04 (Samba 4.3.11) with minimal work afterwards (samba-dsdb-modules and samba-vfs-modules packages were
missing) and seemingly no loss of data.

We still plan on going up to 4.7 via SerNet packages or similar, but at
this point it seems we are out of the woods.

TL;DR - we fixed a replication issue that was blocking an upgrade by first
upgrading our existing hosts.

----- On Oct 2, 2017, at 5:32 PM, Mike Ray mray@xxxxxxxxxxx wrote:

Spent more time on this today and found the
following:

Have you tried to update only your fsmo master to an recent version, say 4.6.8. Denote the other servers on the fsmo master using the --remove-other-dead-server option and rejoin the other servers after updating samba to 4.6.8 on each server? I'd try that only if the missing attributes you found using ldapcmp are not located on the fsmo master.

Somehow i have missed that you got it fixed already. Nevermind.

--
To unsubscribe from this list go to the following URL and read the
instructions:  https://lists.samba.org/mailman/options/samba